#
# Conditional build:
%bcond_without	tests		# build without tests
%bcond_with	p7zip		# plain p7zip (compatible with both rpm4/rpm5)
#
%define		gitref	47585fde0c49fa77a2bf2fb1d2ead06999fd4b6e
%define		snap	20230818
%define		rel	1

Summary:	OpenGL Mathematics (GLM) - C++ mathematics library for GLSL
Summary(pl.UTF-8):	OpenGL Mathematics (GLM) - biblioteka matematyczna C++ dla GLSL
Name:		GLM
Version:	0.9.9.9
Release:	0.%{snap}.%{rel}
License:	MIT
Group:		Development/Libraries
#Source0Download: https://github.com/g-truc/glm/releases
Source0:	https://github.com/g-truc/glm/archive/%{gitref}/%{name}-%{snap}.tar.gz
# Source0-md5:	b288cb704cca5d1cd46be724ce61f428
Patch0:		x32.patch
URL:		https://glm.g-truc.net/
BuildRequires:	cmake >= 3.2
%{?with_tests:BuildRequires:	libstdc++-devel}
BuildRequires:	rpmbuild(macros) >= 1.605
%if %{with p7zip}
BuildRequires:	p7zip
%else
BuildRequires:	p7zip-standalone
BuildRequires:	rpm-build >= 5
%endif
Requires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0

%description
OpenGL Mathematics (GLM) is a C++ mathematics library for graphics
software based on the OpenGL Shading Language (GLSL) specification.

GLM is a header only library, there is nothing to build, just include
it.

%description -l pl.UTF-8
OpenGL Mathematics (GLM) to biblioteka matematyczna C++ dla programów
graficznych opartych na specyfikacji OpenGL Shading Language (GLSL).

%prep
%if %{with p7zip}
%setup -q -c -T -n glm
7z x %{SOURCE0} -o..
%else
%setup -q -n glm-%{gitref}
%endif
%patch0 -p1

%build
mkdir build
cd build
CXXFLAGS="%{rpmcxxflags} -fno-ipa-modref" \
%cmake .. \
	-DGLM_TEST_ENABLE:BOOL=%{!?with_tests:OFF}%{?with_tests:ON}

%if %{with tests}
%{__make}
%{__make} test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc manual.md readme.md
%{_includedir}/glm
%{_libdir}/cmake/glm
%changelog
* Sat Oct 14 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GLM.git;a=log;h=master

* Sat Oct 14 2023 Jan Palus <atler@pld-linux.org> 8f3f569
- disable debug packages

* Thu Oct 12 2023 Jan Palus <atler@pld-linux.org> 344ac6d
- switch to git snapshot (20230818)

* Thu Oct 12 2023 Jan Palus <atler@pld-linux.org> 681f219
- macros for %cmake

* Thu Oct 12 2023 Jan Palus <atler@pld-linux.org> 37e717f
- BR/R: libstdc++-devel

* Thu May 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 0979b4b
- updated to 0.9.9.8
- removed outdated opt patch

* Thu Mar 19 2020 Jan Rękorajski <baggins@pld-linux.org> 395fffb
- fix tests on x32

* Sun Dec 01 2019 Bartek Szady <bszx@bszx.eu> aeef72e
- updated to 0.9.9.6
- run tests if they were built

* Thu Aug 08 2019 Bartek Szady <bszx@bszx.eu> 7130496
- updated to 0.9.9.5

* Wed Mar 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 9545e30
- updated to 0.9.9.4

* Sun Dec 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 3502908
- updated to 0.9.9.3

* Sat Oct 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 1369b3b
- updated to 0.9.9.2
- updated cmake patch

* Sun Jul 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 7cf3de7
- new Source URL, updated to 0.9.9.0
- updated opt patch
- added cmake patch (don't install file to root fs on build stage)
- cmake support changed FindGLM.cmake to glm subdir
- introduced glm.pc file

* Sat May 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 72741b9
- updated to 0.9.6.3
- added opt patch (avoid adding unwanted options, incl. -m64)

* Thu Oct 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> eb3f430
- up to 0.9.5.4

* Mon Mar 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 4e88ad7
- updated to 0.9.5.2

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 516635e
- pl
- allow to build with plain p7zip, using rpm4/rpm5

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> a760c65
- BR 7zip

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> 9352f43
- initial revision
- package nome in upper case b/c of conflict with existing package

